<?
//ini_set('error_reporting', E_ALL);
require '../LibFE/Clases/class.phpmailer.php';		
session_start();
if ($_SESSION['estado'] != "ON"){
	?>
	<script>parent.location.href='index.php';</script>
	<? 
	exit();
}
// ***************  06/11/09 ********************
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];	
include("../conex.php");	

$txtfecha=$_POST["txtfecha"];
$dia = substr ($txtfecha, 0, 2);
$mes = substr ($txtfecha, 3, 2);
$ano2 = substr ($txtfecha, 6, 4);
$fecha_busca=$ano2."-".$mes."-".$dia;

echo "Fecha Emision Documentos: ".$txtfecha."<br><br>";
		
$sqlfs ="SELECT rut_cliente, tipo_dcto, num_dcto FROM salida WHERE fecha_emision='$fecha_busca' AND empresa=$id_empresa AND(tipo_dcto=33 or tipo_dcto=56 or tipo_dcto=61)";
$resfs = mysql_query($sqlfs,$enlace);	
$cont=0;		
$enviados=0;
$rechazados=0;
while (mysql_fetch_object ($resfs)){
				
	$lstdcto = mysql_result($resfs, $cont, "tipo_dcto");
	$txtndcto = mysql_result($resfs, $cont, "num_dcto");
	$txtrut = mysql_result($resfs, $cont, "rut_cliente");
	//echo 'DOC_'.$lstdcto.'_'.$txtndcto.'_'.$id_empresa.'_f.xml<br>';
	
	// *** sacar correo ****
$correo_cliente ='';
		//**************** enlace BD Correo*******
$enlace_correo = mysql_connect("192.168.0.9","mcaceres","mlcc56")
				  or die ("Error en la conexion BAse Datos CORREO");				  
	mysql_select_db("correo_sii", $enlace_correo);
	//***********************
	
	$rut_receptor=str_replace('.','',$txtrut);
	$sqlc = "SELECT * FROM correos WHERE rut='$rut_receptor'";
	$resc = mysql_query($sqlc,$enlace_correo);
	while (mysql_fetch_object ($resc))
			{			
			$correo_cliente = mysql_result($resc, 0, "correo");
			$razon = mysql_result($resc, 0, "razon_social");			
	        }
	// envia correo
$nDocs=   'DOC_'.$lstdcto.'_'.$txtndcto.'_f.xml';
$docto_pdf='../LibFE/DOC/PDF/DOC_'.$lstdcto.'_'.$txtndcto.'_f.pdf';
$docto_firmado='../LibFE/DOC/ENVIO/DOC_'.$lstdcto.'_'.$txtndcto.'_f_mail.xml';

include("../conex.php");

$sql_empresa ="SELECT nombre,correo_dte,clave_correo_dte  FROM empresa WHERE id=$id_empresa";
$res_empresa = mysql_query($sql_empresa,$enlace);

$nombre_empresa = mysql_result($res_empresa, 0, "nombre");
$correo_empresa = mysql_result($res_empresa, 0, "correo_dte");
$cla_correo_empresa = mysql_result($res_empresa, 0, "clave_correo_dte");

$mail             = new PHPMailer();

$body             = file_get_contents('../LibFE/firmarDTE/contents.html');
$body             = str_replace("[\]",'',$body);

$mail->IsSMTP(); 

$mail->SMTPAuth   = true;                  // enable SMTP authentication
$mail->Host       = "mail.softemuco.cl"; // sets the SMTP server
$mail->Port       = 25;                    // set the SMTP port for the GMAIL server
$mail->Username   = $correo_empresa; // SMTP account username
$mail->Password   = $cla_correo_empresa;        // SMTP account password

$mail->SetFrom($correo_empresa, $nombre_empresa);      // desde

$mail->AddReplyTo("mcaceres@softemuco.cl","SofTemuco");

$mail->Subject    = "Envios DTE ".$nDocs;

//$mail->AltBody    = "To view the message, please use an HTML compatible email viewer!"; // optional, comment out and test

$mail->MsgHTML($body);

if($razon=''){$razon='Destino DTE';}

$address = $correo_cliente;
//echo "correo sii: ".$address."<br>";                                     //  hacia
$mail->AddAddress($address, $razon);

if ($address != ''){
$address2 = 'facturas_dte@softemuco.cl';                                     //  hacia replica
$mail->AddAddress($address2, $razon);
}

if ($address != ''){
$address3 = 'patricio.saez@softemuco.cl';                                     //  hacia replica
$mail->AddAddress($address3, $razon);
}

$mail->AddAttachment($docto_pdf);      // attachment
$mail->AddAttachment($docto_firmado);      // attachment
//$mail->AddAttachment("images/phpmailer_mini.gif"); // attachment

if(!$mail->Send()){
  $rechazados+=1;	
  if($address==''){
  echo "Tipo Documento: ".$lstdcto.", Folio: ".$txtndcto.", Correo no fue Encontrado.<br>";  
  }else{
  echo "Tipo Documento: ".$lstdcto.", Folio: ".$txtndcto.", No fue Enviado al Correo: ".$correo_cliente."<br>";
  }
  echo "Error Envio numero: ".$rechazados."<br>";
  //": " . $mail->ErrorInfo."<br>";
} else {
  $enviados+=1;
  echo "Tipo Documento: ".$lstdcto.", Folio: ".$txtndcto.", Enviado al Correo: ".$correo_cliente."<br>";
  echo "Mensaje enviado numero: ".$enviados."<br>";
}
echo "----------------------------------------------------<br>";
$cont+=1;
}
echo "Total Correos enviados: ".$enviados."<br>Total Correos no enviados: ".$rechazados."<br>Total Correos: ".$cont."<br><br>";
?>
<input name="button" type="button" onclick="window.close();" value="Cerrar Ventana" />